"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appListResultFields = exports.appListSearchParams = exports.extractedFilePath = exports.defaultAnswers = exports.qfaJsonFileName = exports.fioriAppSourcetemplateId = exports.adtSourceTemplateId = exports.generatorName = exports.generatorDescription = exports.generatorTitle = void 0;
const types_1 = require("../app/types");
// Title and description for the generator
exports.generatorTitle = 'Download ADT deployed app from UI5 ABAP repository';
exports.generatorDescription = 'Download an application that was generated with the ADT Quick Fiori Application generator';
// Name of the generator used for Fiori app download
exports.generatorName = '@sap-ux/repo-app-import-sub-generator';
// The source template ID used for filtering the apps in the repository
exports.adtSourceTemplateId = '@sap.adt.sevicebinding.deploy:lrop';
// The source template ID used for Fiori app generation
exports.fioriAppSourcetemplateId = '@sap/generator-fiori:lrop';
// The name of the QFA JSON file provided with the downloaded app, containing all user inputs.
exports.qfaJsonFileName = 'qfa.json';
// Default initial answers to use as a fallback.
exports.defaultAnswers = {
    [types_1.PromptNames.systemSelection]: {},
    [types_1.PromptNames.selectedApp]: {
        appId: '',
        title: '',
        description: '',
        repoName: '',
        url: ''
    },
    [types_1.PromptNames.targetFolder]: ''
};
// Path for storing the extracted files from repository
exports.extractedFilePath = 'extractedFiles';
// Search parameters to filter applications by the source template ID
exports.appListSearchParams = {
    'sap.app/sourceTemplate/id': exports.adtSourceTemplateId
};
// Fields to retrieve from the app list, useful for displaying app metadata
exports.appListResultFields = [
    'sap.app/id', // ID of the application
    'sap.app/title', // Title of the application
    'sap.app/description', // Description of the application
    'sap.app/sourceTemplate/id', // ID of the source template
    'repoName', // Repository name where the app is located
    'fileType', // Type of file (.zip etc)
    'url' // URL for accessing the app
];
//# sourceMappingURL=constants.js.map