import { LogWrapper, type ILogWrapper } from '@sap-ux/fiori-generator-shared';
import type { Logger } from 'yeoman-environment';
import type { IVSCodeExtLogger, LogLevel } from '@vscode-logging/logger';
/**
 * Static logger prevents passing of logger references through all functions, as this is a cross-cutting concern.
 */
export default class RepoAppDownloadLogger {
    private static _logger;
    /**
     * Get the logger.
     *
     * @returns the logger
     */
    static get logger(): ILogWrapper;
    /**
     * Set the logger.
     *
     * @param value the logger to set
     */
    static set logger(value: ILogWrapper);
    /**
     * Configures the logger.
     *
     * @param loggerName - the logger name
     * @param yoLogger - the yeoman logger
     * @param logWrapper - log wrapper instance
     * @param logLevel - the log level
     * @param vscLogger - the vscode logger
     * @param vscode - the vscode instance
     */
    static configureLogging(loggerName: string, yoLogger: Logger, logWrapper?: LogWrapper, logLevel?: LogLevel, vscLogger?: IVSCodeExtLogger, vscode?: unknown): void;
}
//# sourceMappingURL=logger.d.ts.map