import type { Editor } from 'mem-fs-editor';
/**
 * Validates and updates the UI5 version in the manifest.
 *
 * - If the minUI5Version in the manifest is not found in the list of released UI5 versions,
 *   it updates the manifest with the closest released version.
 * - If internal features are enabled, it sets the minUI5Version to '${sap.ui5.dist.version}'.
 *
 * @param {string} manifestFilePath - The manifest file path.
 * @param {Editor} fs - The file system editor instance.
 * @returns {Promise<Manifest>} - The updated manifest object.
 * @throws {Error} - Throws an error if the manifest structure is invalid or no fallback version is available.
 */
export declare function validateAndUpdateManifestUI5Version(manifestFilePath: string, fs: Editor): Promise<void>;
/**
 * Replaces the specified files in the `webapp` directory with the corresponding files from the `extractedPath`.
 *
 * @param {string} projectPath - The path to the downloaded App.
 * @param {string} extractedPath - The path from which files will be copied.
 * @param {Editor} fs - The file system editor instance to modify files in memory.
 */
export declare function replaceWebappFiles(projectPath: string, extractedPath: string, fs: Editor): Promise<void>;
//# sourceMappingURL=updates.d.ts.map